
{{set . "title" "WarehouseHasProducts"}}
{{template "header.html" .}}

<header class="hero-unit">
  <div class="container">
    <div class="row">
      <div class="hero-text">
        <h1>Edit WarehouseHasProducts</h1>
      </div>
    </div>
  </div>
</header>

<div class="container">
  <div class="row">
    <div class="col-md-12">
      {{template "flash.html" .}}
    </div>
    <div class="col-md-12">
    	<form method="POST" action="{{if .WarehouseHasProducts.ID}}{{url "WarehouseHasProducts.Update"}}{{else}}{{url "WarehouseHasProducts.Create"}}{{end}}">
			{{with $field := field "warehousehasproducts.ID" .}}
<input type="hidden" id="{{$field.ID}}" name="id" value="{{$field.Value}}">
{{end}}
<div class="form-group">
{{with $field := field "warehousehasproducts.WarehouseID" .}}
<label for="{{$field.ID}}">WarehouseID * </label>
<input type="number" id="{{$field.ID}}" name="warehouseid" value="{{$field.Value}}" class="datepicker {{$field.ErrorClass}}">
<span class="error">{{$field.Error}}</span>

{{end}}
</div>
<div class="form-group">
{{with $field := field "warehousehasproducts.ProductID" .}}
<label for="{{$field.ID}}">ProductID * </label>
<input type="number" id="{{$field.ID}}" name="productid" value="{{$field.Value}}" class="datepicker {{$field.ErrorClass}}">
<span class="error">{{$field.Error}}</span>

{{end}}
</div>
<div class="form-group">
{{with $field := field "warehousehasproducts.Sku" .}}
<label for="{{$field.ID}}">Sku * </label>
<input type="text" id="{{$field.ID}}" name="sku" value="{{$field.Value}}" class="{{$field.ErrorClass}}">
<span class="error">{{$field.Error}}</span>

{{end}}
</div>
<div class="form-group">
{{with $field := field "warehousehasproducts.Price" .}}
<label for="{{$field.ID}}">Price * </label>
<input type="number" id="{{$field.ID}}" name="price" value="{{$field.Value}}" class="{{$field.ErrorClass}}">
<span class="error">{{$field.Error}}</span>

{{end}}
</div>
<div class="form-group">
{{with $field := field "warehousehasproducts.Qty" .}}
<label for="{{$field.ID}}">Qty * </label>
<input type="number" id="{{$field.ID}}" name="qty" value="{{$field.Value}}" class="{{$field.ErrorClass}}">
<span class="error">{{$field.Error}}</span>

{{end}}
</div>

    		<input type="submit" class="btn btn-success" value="Save warehousehasproducts" />
		</form>
    </div>
  </div>
</div>
{{template "footer.html" .}}